/*************************************************************************\
 * globals.h                                                             *
 *                                                                       *
 * Xcolsel global application data                                       *
 * M. Koelblin 1997                                                      *
\*************************************************************************/

#ifndef GLOBALS_H_INCLUDED
#define GLOBALS_H_INCLUDED

#include <X11/Intrinsic.h>
#include <X11/StringDefs.h>
#include "rgbtxt.h"

#if defined(__cplusplus) || defined(c_plusplus)
extern "C" {
#endif

/*******************************************************************************/

#define ICON_COUNT 4

#define ICON_MAIN  xcsel_icons[0]
#define ICON_LOOK  xcsel_icons[1]
#define ICON_CLEAR xcsel_icons[2]
#define ICON_CHECK xcsel_icons[3]

extern Pixmap      xcsel_icons[ICON_COUNT];
extern Atom        wm_delete_window;
extern Atom        wm_protocols;
extern Widget      toplevel;
extern Boolean     no_rw_colors;
extern XVisualInfo visual_info;


extern void show_listbox_selection(RgbBase* base, int index);
extern void colorlist_dialog(Widget, Colormap, RgbBase*, RgbQuery*);


/*******************************************************************************/

#if defined(__cplusplus) || defined(c_plusplus)
}
#endif
#endif /* GLOBALS_H_INCLUDED */



